Subject: Re: I-D ACTION:draft-ietf-smime-cms-mult-sign-00.txt

From: "Denis Pinkas" <[email-masked]>
Date: Wed, 3 May 2006 16:11:38 +0100

I have two major problems.

A first series, related whether the document deals with multiple signatures 
from the same signer or several signatures from different signers.

I believe that the document tries to address the former goal, but since 
this is not clearly stated, readers might be confused.

This appears first in the abstract:

   This document clarifies the proper handling of the SignedData protected 
   content type when more than one digital signature is present.

which should be changed into:

   This document clarifies the proper handling of the SignedData protected 
   content type when more than one digital signature from the same signer is present.

If that change is agreed in general, then the following sentence 
that appears on page 1, section 1 is incorrect:

   "This document
   provides replacement text for a few paragraphs, making it clear that
   the protected content is valid if any of the digital signatures is
   valid".

Other changes would need to be made through all the document.

A second series related to how to pick the right public key:

Issue 1: Section 3, page 3.

|  The signer's public key is referenced either by an issuer
|  distinguished name along with an issuer-specific serial number or by
|  a subject key identifier that uniquely identifies the certificate
|  containing the public key.

An issuer distinguished name along with an issuer-specific serial number 
is not necessarilly sufficient to identify the right signer's public key 
(see ESSCertId).

Issue 2: Section 3, page 3.

|  The signer's certificate can be included
|  in the SignedData certificates field.

Yes, it can, but it is unprotected, so no guarantee that it is the right one.
The text should be clearer about the various ways to pick the right public key.

Denis

>A New Internet-Draft is available from the on-line Internet-Drafts directories.
>This draft is a work item of the S/MIME Mail Security Working Group of the IETF.
>
>	Title		: Cryptographic Message Syntax (CMS) Multiple Signer Clarification
>
>	Author(s)	: R. Housley
>	Filename	: draft-ietf-smime-cms-mult-sign-00.txt
>	Pages		: 5
>	Date		: 2006-4-21
>	
>   This document updates the Cryptographic Message Syntax (CMS), which
>   is published in RFC 3852.  This document clarifies the proper
>   handling of the SignedData protected content type when more than one
>   digital signature is present.
>
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-smime-cms-mult-sign-00.txt
>
>To remove yourself from the I-D Announcement list, send a message to 
>[email-masked] with the word unsubscribe in the body of the message.  
>You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
>to change your subscription settings.
>
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>	"get draft-ietf-smime-cms-mult-sign-00.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html 
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>	[email-masked].
>In the body type:
>	"FILE /internet-drafts/draft-ietf-smime-cms-mult-sign-00.txt".
>	
>NOTE:	The mail server at ietf.org can return the document in
>	MIME-encoded form by using the "mpack" utility.  To use this
>	feature, insert the command "ENCODING mime" before the "FILE"
>	command.  To decode the response(s), you will need "munpack" or
>	a MIME-compliant mail reader.  Different MIME-compliant mail readers
>	exhibit different behavior, especially when dealing with
>	"multipart" MIME messages (i.e. documents which have been split
>	up into multiple messages), so check your local documentation on
>	how to manipulate these messages.
>		
>		
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>
>Content-Type: text/plain
>Content-ID:	<[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-ietf-smime-cms-mult-sign-00.txt
>

Regards,

Denis Pinkas

---

From: Peter Sylvester <[email-masked]>
Date: Wed, 03 May 2006 19:05:48 +0200

>    content type when more than one digital signature from the same signer is present.
I think that this is one interpretation that makes sense. Otherwise it 
would change possible
usages of CMS where you would allow k out of n signatures for example.

Does it make sense to review other specifications that only use one 
signature to be
modified, TSP, SCVP?
>    the protected content is valid if any of the digital signatures is
As stated, this seems indeed wrong to me.
> A second series related to how to pick the right public key:
picking up the right public key is not the issue. If a key validates, it is
ok, in particular since the issuer and serial are unprotected parts of the
structure. 

What is missing is how one can detect that two certificates are for the
same signer, i.e. they have the same subject DN or altname (at least)
and a security section that talks about the potential problems of 
determining
this.
> The text should be clearer about the various ways to pick the right public key.
No. picking up a key is not an issue at all here IMO.

-- 
To verify the signature, see http://edelpki.edelweb.fr/ 
Cela vous permet de charger le certificat de l'autorité; 
die Liste mit zurückgerufenen Zertifikaten finden Sie da auch.